__gnu_pbds::direct_mask_range_hashing< Size_Type > Class Template Reference
Inheritance diagram for __gnu_pbds::direct_mask_range_hashing< Size_Type >:
[legend]

## Public Types

typedef Size_Type | size_type

## Public Member Functions

void | swap (direct_mask_range_hashing< Size_Type > &other)

## Protected Member Functions

void | notify_resized (size_type size)
size_type | operator() (size_type hash) const
size_type | range_hash (size_type hash) const
void | swap (mask_based_range_hashing &other)

## Detailed Description

### template<typename Size_Type = std::size_t>
class __gnu_pbds::direct_mask_range_hashing< Size_Type >

A mask range-hashing class (uses a bitmask).

Definition at line 109 of file hash_policy.hpp.

## Member Function Documentation

## operator()()

template<typename Size_Type >

direct_mask_range_hashing< Size_Type >::size_type __gnu_pbds::direct_mask_range_hashing< Size_Type >::operator() | ( | size_type | hash | ) | const

inline protected

Transforms the __hash value hash into a ranged-hash value (using a bit-mask).

Definition at line 57 of file hash_policy.hpp.

The documentation for this class was generated from the following file:

- hash_policy.hpp